import { LDEvent, PLand, } from "./plugins/PLand-LegacyRemoteCallApi/lib/PLand.js";

LDEvent.listen("PlayerEnterLandEvent", (pl, landID) => {
    if (PLand.getPermType(pl.uuid, landID) === 1) plFly(pl);
});

LDEvent.listen("PlayerLeaveLandEvent", (pl, landID) => {
    if (PLand.getPermType(pl.uuid, landID) === 1) plFly(pl);
});

function plFly(player) {
    const canFly = !player.canFly;

    player.setAbility(10, canFly);
    player.tell(`[Pland_Fly] 飞行${canFly ? '已开启' : '已关闭'}`);
}